| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
power.h File Reference

## Classes

class | wxPowerEvent
| The power events are generated when the system power state changes, e.g. More...

## Enumerations

enum | wxPowerType { wxPOWER_SOCKET, wxPOWER_BATTERY, wxPOWER_UNKNOWN }
enum | wxBatteryState { wxBATTERY_NORMAL_STATE, wxBATTERY_LOW_STATE, wxBATTERY_CRITICAL_STATE, wxBATTERY_SHUTDOWN_STATE, wxBATTERY_UNKNOWN_STATE }

## Variables

wxEventType | wxEVT_POWER_SUSPENDING
wxEventType | wxEVT_POWER_SUSPENDED
wxEventType | wxEVT_POWER_SUSPEND_CANCEL
wxEventType | wxEVT_POWER_RESUME

## Enumeration Type Documentation

enum wxBatteryState

Enumerator
wxBATTERY_NORMAL_STATE |
wxBATTERY_LOW_STATE |
wxBATTERY_CRITICAL_STATE |
wxBATTERY_SHUTDOWN_STATE |
wxBATTERY_UNKNOWN_STATE |

enum wxPowerType

Enumerator
wxPOWER_SOCKET |
wxPOWER_BATTERY |
wxPOWER_UNKNOWN |

## Variable Documentation

wxEventType wxEVT_POWER_RESUME

wxEventType wxEVT_POWER_SUSPEND_CANCEL

wxEventType wxEVT_POWER_SUSPENDED

wxEventType wxEVT_POWER_SUSPENDING